<?php

namespace Drupal\texts;

use Drupal\Core\Entity\Sql\SqlContentEntityStorage;

class TextsStorage extends SqlContentEntityStorage implements TextsStorageInterface {

  public function loadByKey($key, $context = 'default'): TextsInterface|null {
    $texts = $this->loadByProperties(['key' => $key, 'context' => $context]);
    $text = reset($texts);

    return $text instanceof TextsInterface ? $text : NULL;
  }

}
