<?php

namespace Drupal\texts\Twig;

use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

/**
 * A Twig extension for the Symfony translation component.
 */
class TextsExtension extends AbstractExtension {

  /**
   * {@inheritdoc}
   */
  public function getFilters() {
    return [
      new TwigFilter('keyt', 'keyt', ['is_safe' => ['html']]),
      new TwigFilter('keyp', 'keyFormatPlural', ['is_safe' => ['html']]),
    ];
  }

}
